## kde-dev-scripts 4.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(kde-dev-scripts)

find_package(KDE4)
if (KDE4_FOUND)
  include(KDE4Defaults)
  include(MacroLibrary)
else()
  set(BIN_INSTALL_DIR   "${CMAKE_INSTALL_PREFIX}/bin"  CACHE PATH "The install dir for executables")
endif()

# Note that all of these files should be *scripts* that do not require
# compilation, therefore we simply install them. We split out Bourne shell
# programs explicitly but it's not guaranteed that the Perl/Python/Ruby/etc.
# ones behave well on Mac or Windows just because we don't elide those too.

########### install files ###############
if (UNIX)
#shell program
add_subdirectory( doc )
install(PROGRAMS
  adddebug
  build-progress.sh
  cheatmake
  create_cvsignore
  create_makefiles
  create_svnignore
  cvsaddcurrentdir
  cvsbackport
  cvsforwardport
  cvslastlog
  cvsrevertlast
  cvsversion
  findmissingcrystal
  fix-include.sh
  kdedoc
  krazy-licensecheck
  optimizegraphics
  nonsvnlist
  pruneemptydirs
  qtdoc
  svnbackport
  svnforwardport
  svnchangesince
  svngettags
  svnlastlog
  svnrevertlast
  wcgrep
  draw_lib_dependencies
  DESTINATION ${BIN_INSTALL_DIR})
endif (UNIX)

install(PROGRAMS
  create_makefile
  makeobj
  cvscheck
  cvslastchange
  noncvslist
  cvs-clean
  cvsblame
  colorsvn
  svn-clean
  svnlastchange
  svnversions
  extractrc
  extractattr
  zonetab2pot.py
  fixkdeincludes
  fixuifiles
  includemocs
  cxxmetric
  extend_dmalloc
  kdekillall
  kdelnk2desktop.py
  package_crystalsvg
  png2mng.pl
  kdemangen.pl
  svnintegrate
  kde_generate_export_header
  kde-systemsettings-tree.py
  reviewboard-am
  DESTINATION ${BIN_INSTALL_DIR})

=== cmake-utils/samples/kcalc/CMakeLists.txt ===
FIND_PACKAGE(KDE3 REQUIRED)

SET(CMAKE_VERBOSE_MAKEFILE ON)

ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE3_DEFINITIONS})

LINK_DIRECTORIES(${KDE3_LIB_DIR})

ADD_SUBDIRECTORY( knumber )

INCLUDE_DIRECTORIES( ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}  )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/knumber ) # added manually

# configure checks, added manually

INCLUDE(CheckIncludeFiles)  #module to test for headers, coming with cmake

CHECK_INCLUDE_FILES( unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILES( string.h HAVE_STRING_H)
CHECK_INCLUDE_FILES( ieeefp.h HAVE_IEEEFP_H)

INCLUDE(CheckFunctionExists) #module to test for existence of functions, coming with cmake

CHECK_FUNCTION_EXISTS( isinf HAVE_FUNC_ISINF)

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)


########### next target ###############

SET(kcalc_KDEINIT_SRCS
   kcalc.cpp
   kcalc_button.cpp
   kcalc_const_button.cpp
   kcalc_const_menu.cpp
   kcalc_core.cpp
   kcalcdisplay.cpp
   dlabel.cpp
   stats.cpp
   )

KDE3_AUTOMOC(${kcalc_KDEINIT_SRCS})

SET( kcalc_UI colors.ui general.ui constants.ui )

KDE3_ADD_UI_FILES(kcalc_KDEINIT_SRCS ${kcalc_UI} )

KDE3_ADD_KCFG_FILES(kcalc_KDEINIT_SRCS kcalc_settings.kcfgc )

KDE3_ADD_KDEINIT_EXECUTABLE( kcalc ${kcalc_KDEINIT_SRCS})

# gmp, knumber and ${KDE4_KDEUI_LIBS} added manually
TARGET_LINK_LIBRARIES(kdeinit_kcalc  ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} knumber gmp)

INSTALL_TARGETS(/lib kdeinit_kcalc )

TARGET_LINK_LIBRARIES( kcalc kdeinit_kcalc )
install(TARGETS kcalc DESTINATION bin)

########### install files ###############

INSTALL_FILES( /share/applications/kde FILES kcalc.desktop )
INSTALL_FILES(  /share/config.kcfg FILES kcalc.kcfg )
INSTALL_FILES( /share/apps/kcalc FILES kcalcui.rc )
INSTALL_FILES( /share/apps/kconf_update FILES kcalcrc.upd )

KDE3_INSTALL_ICONS( hicolor )




#original Makefile.am contents follow:

#AM_CPPFLAGS= -I$(srcdir)/knumber -D_ISOC99_SOURCE $(all_includes)
#
#SUBDIRS = knumber
#
#bin_PROGRAMS =
#lib_LTLIBRARIES =
#kdeinit_LTLIBRARIES = kcalc.la
#
#kcalc_la_SOURCES = kcalc.cpp kcalc_button.cpp kcalc_const_button.cpp \
#			kcalc_const_menu.cpp kcalc_core.cpp kcalcdisplay.cpp \
#			dlabel.cpp stats.cpp colors.ui general.ui \
#			constants.ui kcalc_settings.kcfgc
#
#
#METASOURCES = AUTO
#
#noinst_HEADERS  = kcalc.h kcalc_button.h kcalc_const_button.h \
#			kcalc_const_menu.h kcalc_core.h kcalcdisplay.h \
#			kcalctype.h dlabel.h stats.h
#
#kcalc_la_LDFLAGS = $(all_libraries) -module -avoid-version
#kcalc_la_LIBADD = $(LIB_KDEUI) knumber/libknumber.la
#
#KDE_ICON = kcalc
#
#xdg_apps_DATA = kcalc.desktop
#kde_kcfg_DATA = kcalc.kcfg
#
#rcdir = $(kde_datadir)/kcalc
#rc_DATA = kcalcui.rc
#
#messages: rc.cpp
#	$(XGETTEXT) *.cpp -o $(podir)/kcalc.pot
#
#updatedir = $(kde_datadir)/kconf_update
#update_DATA = kcalcrc.upd
#
#DOXYGEN_EMPTY = YES
#include $(top_srcdir)/admin/Doxyfile.am
#

## kde-dev-scripts 4.11.2

=== debian/changelog ===
kde-dev-scripts (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:04:18 +0100

kde-dev-scripts (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:09:50 +0100

kde-dev-scripts (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:04:45 +0100

kde-dev-scripts (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:12:29 +0100

kde-dev-scripts (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:08 +0000

kde-dev-scripts (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Philip Muškovac ]
  * Add append_kde.diff from old kdesdk package to prevent svn-clean
    conflicting with subversion-tools

  [ Michał Zając ]
  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:03:55 +0100

kde-dev-scripts (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package, split from kde-dev-scripts
  * Remove kubuntu_01_dfsg_licence.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:32:16 +0100

=== debian/control ===
Source: kde-dev-scripts
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Sune Vuorela <sune@debian.org>, 
 Modestas Vainius <modax@debian.org>, 
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2)
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-scripts
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-scripts

Package: kdesdk-scripts
Architecture: all
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, python, pkg-kde-tools
Recommends: subversion, gawk, optipng, advancecomp
Suggests: cvs, khelpcenter4, dmalloc, gdb, kdelibs5-doc, qt4-doc, valgrind, devscripts, xsltproc
Enhances: kate
Description: scripts and data files for development
 This package contains scripts and data files to facilitate development of
 KDE software.  Also included are scripts which are not specific to
 KDE, such as helper scripts for working with Subversion and CVS repositories.
 .
 In addition to these scripts, this package provides:
  - gdb macros for Qt programming
  - Vim and EMACS helper files for Qt/KDE programming
  - bash and zsh completion rules for KDE applications
  - Valgrind error suppressions for KDE applications
 .
 This package is part of the KDE Software Development Kit module.

## kde-dev-scripts 4.11.3

=== debian/changelog ===
kde-dev-scripts (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.
  * Update install file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 18:08:12 +0100

kde-dev-scripts (4:4.11.2-1) experimental; urgency=low

  * First release of kdesdk after being split by upstream.
  * Update debian/copyright.
  * Install manpages without language path.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 10:58:26 +0200

=== debian/control ===
Source: kde-dev-scripts
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11)
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-dev-scripts.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-dev-scripts.git

Package: kdesdk-scripts
Architecture: all
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, python
Recommends: subversion, gawk, optipng, advancecomp
Suggests: cvs, khelpcenter4, dmalloc, gdb, kdelibs5-doc, qt4-doc, valgrind, devscripts, xsltproc
Enhances: kate
Description: scripts and data files for development
 This package contains scripts and data files to facilitate development of
 KDE software.  Also included are scripts which are not specific to
 KDE, such as helper scripts for working with Subversion and CVS repositories.
 .
 In addition to these scripts, this package provides:
  - gdb macros for Qt programming
  - Vim and EMACS helper files for Qt/KDE programming
  - bash and zsh completion rules for KDE applications
  - Valgrind error suppressions for KDE applications
 .
 This package is part of the KDE Software Development Kit module.

## kde-dev-scripts 4.12.3

=== debian/changelog ===
kde-dev-scripts (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:30:40 +0100

kde-dev-scripts (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:34:45 +0100

kde-dev-scripts (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:49:21 +0000

kde-dev-scripts (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:07:36 +0000

kde-dev-scripts (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:41:29 +0000

kde-dev-scripts (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:45:39 +0000

kde-dev-scripts (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:54:25 +0100

kde-dev-scripts (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
  * Drop append_kde.diff, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:34:47 +0100

=== debian/control ===
Source: kde-dev-scripts
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Sune Vuorela <sune@debian.org>, 
 Modestas Vainius <modax@debian.org>, 
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.12.3)
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-scripts
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-scripts

Package: kdesdk-scripts
Architecture: all
Section: devel
Depends: ${misc:Depends}, ${perl:Depends}, python, pkg-kde-tools
Recommends: subversion, gawk, optipng, advancecomp
Suggests: cvs, khelpcenter4, dmalloc, gdb, kdelibs5-doc, qt4-doc, valgrind, devscripts, xsltproc
Enhances: kate
Description: scripts and data files for development
 This package contains scripts and data files to facilitate development of
 KDE software.  Also included are scripts which are not specific to
 KDE, such as helper scripts for working with Subversion and CVS repositories.
 .
 In addition to these scripts, this package provides:
  - gdb macros for Qt programming
  - Vim and EMACS helper files for Qt/KDE programming
  - bash and zsh completion rules for KDE applications
  - Valgrind error suppressions for KDE applications
 .
 This package is part of the KDE Software Development Kit module.

## kde-dev-scripts 4.13.0

=== debian/changelog ===
kde-dev-scripts (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:46:25 +0100

kde-dev-scripts (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:17:01 +0200

kde-dev-scripts (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:05:06 +0100

kde-dev-scripts (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:45:15 +0000

kde-dev-scripts (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:39:12 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3)
+ kdelibs5-dev (>= 4:4.13.0)
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-scripts

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kde-dev-scripts-([\d\.]*).tar.xz

## kde-dev-scripts 4.14.1

=== debian/changelog ===
kde-dev-scripts (4:4.14.1-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release.
  * Make sure to not compress examples. (Closes: #764857)
  * Update lintian overrides.
  * Install kde-emacs among the examples. (Closes: #698028)
  * Bump Standards-Version to 3.9.6, no changes required.
  * Do not use debian/tmp as temporary install location, just install to the
    single package tree, removing the few bits not needed; this eases
    maintenance and updating of installed files.

  [ Maximiliano Curia ]
  * Update watch file.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Oct 2014 10:26:22 +0200

kde-dev-scripts (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 20:43:18 +0200

kde-dev-scripts (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 May 2014 16:23:21 +0200

kde-dev-scripts (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:47 +0200

kde-dev-scripts (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Update install files.
  * Remove patch: fix_package_crystalsvg_typo, applied by upstream.
  * Refresh patches.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:42 +0100

=== debian/control ===
Source: kde-dev-scripts
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-dev-scripts.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-dev-scripts.git

Package: kdesdk-scripts
Architecture: all
Section: devel
Depends: python, ${misc:Depends}, ${perl:Depends}
Recommends: advancecomp, gawk, optipng, subversion
Suggests: cvs,
          devscripts,
          dmalloc,
          gdb,
          kdelibs5-doc,
          khelpcenter4,
          qt4-doc,
          valgrind,
          xsltproc
Enhances: kate
Description: scripts and data files for development
 This package contains scripts and data files to facilitate development of
 KDE software.  Also included are scripts which are not specific to
 KDE, such as helper scripts for working with Subversion and CVS repositories.
 .
 In addition to these scripts, this package provides:
  - gdb macros for Qt programming
  - Vim and EMACS helper files for Qt/KDE programming
  - bash and zsh completion rules for KDE applications
  - Valgrind error suppressions for KDE applications
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command)
	# remove man pages of non-existing scripts
	rm debian/kdesdk-scripts/usr/share/man/man1/fixincludes.1
	rm debian/kdesdk-scripts/usr/share/man/man1/reportview.1
	rm debian/kdesdk-scripts/usr/share/man/man1/transxx.1

override_dh_installman:
	$(overridden_command) --language=C

override_dh_compress:
	$(overridden_command) -Xexamples

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kde-dev-scripts-([\d.]+).tar.xz

## kde-dev-scripts 4.14.2

=== debian/changelog ===
kde-dev-scripts (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:44:03 +0200

kde-dev-scripts (4:4.14.2-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  * New upstream release
  * Fix space in copyright short license. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:19:01 -0700

kde-dev-scripts (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:42:08 +0200

kde-dev-scripts (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:43:23 +0200

kde-dev-scripts (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:28:25 +0200

kde-dev-scripts (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:59:08 +0200

kde-dev-scripts (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add not-installed file

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 22:56:27 +0200

kde-dev-scripts (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:47:50 +0100

kde-dev-scripts (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian unstable, remaining changes:
    - keep breaks/replaces against pkg-kde-tools
    - kdesdk-scripts depends on pkg-kde-tools

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 07 Jun 2014 13:19:15 +0200

kde-dev-scripts (4:4.13.0-0ubuntu1.1) trusty; urgency=medium

  * kdesdk-scripts breaks and replaces pkg-kde-tools << 0.15.12ubuntu1~
    (the version contained in trusty) as various scripts previously were part
     of pkg-kde-tools, but since moved to kdesdk).
    LP: #1312651

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 25 Apr 2014 16:27:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kde-dev-scripts
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -9,18 +10,20 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-dev-scripts.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-dev-scripts.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-scripts
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-scripts
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-dev-scripts.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-dev-scripts.git
 
 Package: kdesdk-scripts
 Architecture: all
 Section: devel
-Depends: python, ${misc:Depends}, ${perl:Depends}
+Depends: pkg-kde-tools, python, ${misc:Depends}, ${perl:Depends}
 Recommends: advancecomp, gawk, optipng, subversion
 Suggests: cvs,
           devscripts,
@@ -32,6 +35,8 @@
           valgrind,
           xsltproc
 Enhances: kate
+Breaks: pkg-kde-tools (<< 0.15.12ubuntu1~)
+Replaces: pkg-kde-tools (<< 0.15.12ubuntu1~)
 Description: scripts and data files for development
  This package contains scripts and data files to facilitate development of
  KDE software.  Also included are scripts which are not specific to

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_installman:
	$(overridden_command) --language=C

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kde-dev-scripts-([\d\.]*).tar.xz

## kde-dev-scripts 14.12.3

=== debian/changelog ===
kde-dev-scripts (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:20:37 -0700

kde-dev-scripts (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:36:14 -0800

kde-dev-scripts (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 12 Dec 2014 04:23:37 -0800

kde-dev-scripts (4:14.11.97-0ubuntu1) vivid; urgency=medium

  [ Philip Muškovac ]
  * Merge with debian unstable, remaining changes:
    - kdesdk-scripts depends on pkg-kde-tools
    - kdesdk-scripts breaks/replaces pkg-kde-tools (<< 0.15.12ubuntu1~)
  * New upstream release candidate
  * Fix watch urls for new release location
  * Update Vcs urls for the new repository location
  * Update the maintainer

  [ Jonathan Riddell ]
  * Build-dep on kdoctools-dev and remove kde4 build-deps
  * Add upstream_install-man.diff to install man pages
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 17:12:49 +0100

kde-dev-scripts (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix space in copyright short license. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:19:01 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kde-dev-scripts
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -10,15 +9,14 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.2),
+               extra-cmake-modules,
+               kdoctools-dev,
+               libkf5kdelibs4support-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-scripts
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-dev-scripts
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-dev-scripts.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-dev-scripts.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kde-dev-scripts.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kde-dev-scripts.git
 
 Package: kdesdk-scripts
 Architecture: all
@@ -30,7 +28,7 @@
           dmalloc,
           gdb,
           kdelibs5-doc,
-          khelpcenter4,
+          khelpcenter,
           qt4-doc,
           valgrind,
           xsltproc

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command)
	# remove man pages of non-existing scripts
	rm debian/kdesdk-scripts/usr/share/man/man1/fixincludes.1
	rm debian/kdesdk-scripts/usr/share/man/man1/reportview.1
	rm debian/kdesdk-scripts/usr/share/man/man1/transxx.1

override_dh_installman:
	$(overridden_command) --language=C

override_dh_compress:
	$(overridden_command) -Xexamples

## kde-dev-scripts 15.08.2

=== debian/changelog ===
kde-dev-scripts (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:09:49 +0100

kde-dev-scripts (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:22:02 +0100

kde-dev-scripts (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:12:13 +0100

kde-dev-scripts (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:48:53 +0200

kde-dev-scripts (4:15.04.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.04.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 16:46:34 +0200

kde-dev-scripts (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Feb 2015 15:41:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8),
                debhelper (>= 9),
-               extra-cmake-modules,
+               extra-cmake-modules (>= 1.3.0),
                kdoctools-dev,
                libkf5kdelibs4support-dev,
-               pkg-kde-tools (>= 0.12)
+               pkg-kde-tools (>> 0.15.15)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kde-dev-scripts.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kde-dev-scripts.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kde-dev-scripts.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kde-dev-scripts.git
 
 Package: kdesdk-scripts
 Architecture: all

## kde-dev-scripts 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,21 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.9)
 project(kde-dev-scripts)
 
-find_package(KDE4)
+find_package(KF5DocTools)
+if(KF5DocTools_FOUND)
+  find_package(ECM 1.3.0 REQUIRED NO_MODULE)
+  set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+  include(KDEInstallDirs)
+  function(create_manpage)
+    kdoctools_create_manpage(${ARGN})
+  endfunction()
+else()
+  find_package(KDE4)
+  function(create_manpage)
+    kde4_create_manpage(${ARGN})
+  endfunction()
+endif()
+
 if (KDE4_FOUND)
   include(KDE4Defaults)
   include(MacroLibrary)
@@ -22,6 +36,8 @@
   adddebug
   build-progress.sh
   cheatmake
+  c++-rename-class-and-file
+  c++-copy-class-and-file
   create_cvsignore
   create_makefiles
   create_svnignore
@@ -80,4 +96,3 @@
   kde-systemsettings-tree.py
   reviewboard-am
   DESTINATION ${BIN_INSTALL_DIR})
-

=== debian/changelog ===
kde-dev-scripts (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:10:41 -0700

kde-dev-scripts (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 
  * Fix typo. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:34:36 +0100

kde-dev-scripts (4:15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:22:42 +0100

kde-dev-scripts (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:44:29 +0000

kde-dev-scripts (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:40:12 +0100

kde-dev-scripts (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 20:17:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8),
+Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                extra-cmake-modules (>= 1.3.0),
                kdoctools-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 override_dh_auto_install:
 	$(overridden_command)
+
+override_dh_auto_install-indep:
 	# remove man pages of non-existing scripts
 	rm debian/kdesdk-scripts/usr/share/man/man1/fixincludes.1
 	rm debian/kdesdk-scripts/usr/share/man/man1/reportview.1

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kde-dev-scripts-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kde-dev-scripts-([\d.]+).tar.xz

## kde-dev-scripts 16.04.2

=== debian/changelog ===
kde-dev-scripts (4:16.04.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Jun 2016 19:57:24 +0200

kde-dev-scripts (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:35:31 +0200

kde-dev-scripts (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:32 +0100

## kde-dev-scripts 16.04.3

=== debian/changelog ===
kde-dev-scripts (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Refresh patch. 
  * Debian merge: No remaining changes.

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad
  * Refresh append_kde.diff to remove fuzz

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:45:01 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0),
-               kdoctools-dev,
-               libkf5kdelibs4support-dev,
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
                pkg-kde-tools (>> 0.15.15)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kde-dev-scripts.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kde-dev-scripts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts
 
 Package: kdesdk-scripts
 Architecture: all

## kde-dev-scripts 16.08.0

=== debian/changelog ===
kde-dev-scripts (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:24:27 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kdoctools-dev (>= 5.24.0~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 1.3.0),
+               kdoctools-dev,
+               libkf5kdelibs4support-dev,
                pkg-kde-tools (>> 0.15.15)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kde-dev-scripts.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kde-dev-scripts.git
 
 Package: kdesdk-scripts
 Architecture: all

## kde-dev-scripts 16.12.3

=== debian/changelog ===
kde-dev-scripts (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:28:22 +0000

kde-dev-scripts (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:17:00 +0000

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0),
-               kdoctools-dev,
-               libkf5kdelibs4support-dev,
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kde-dev-scripts.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kde-dev-scripts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts
 
 Package: kdesdk-scripts
 Architecture: all

## kde-dev-scripts 17.04.3

=== debian/changelog ===
kde-dev-scripts (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:32:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:17.03.90-0~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_auto_install:
 	$(overridden_command)

## kde-dev-scripts 17.12.3

=== doc/CMakeLists.txt ===
########### install files ###############

kdoctools_create_manpage(man-adddebug.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-cheatmake.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-create_cvsignore.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-create_makefile.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-create_makefiles.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-cvscheck.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-cvslastchange.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-cvslastlog.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-cvsrevertlast.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-cxxmetric.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-extend_dmalloc.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-extractrc.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-fixincludes.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-pruneemptydirs.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-qtdoc.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-reportview.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-transxx.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-zonetab2pot.py.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== debian/changelog ===
kde-dev-scripts (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:25:31 +0000

kde-dev-scripts (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Breaks/replaces against conflicting kde-l10n

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:56:46 +0000

kde-dev-scripts (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:03 +0000

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
           valgrind,
           xsltproc
 Enhances: kate
-Breaks: pkg-kde-tools (<< 0.15.12ubuntu1~)
-Replaces: pkg-kde-tools (<< 0.15.12ubuntu1~)
+Breaks: pkg-kde-tools (<< 0.15.12ubuntu1~), ${kde-l10n:all}
+Replaces: pkg-kde-tools (<< 0.15.12ubuntu1~), ${kde-l10n:all}
 Description: scripts and data files for development
  This package contains scripts and data files to facilitate development of
  KDE software.  Also included are scripts which are not specific to

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:17.03.90-0~
+l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## kde-dev-scripts 18.04.3

=== debian/changelog ===
kde-dev-scripts (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:16:04 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                extra-cmake-modules (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               pkg-kde-tools (>> 0.15.15)
+               pkg-kde-tools (>> 0.15.15),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-dev-scripts
